# Interface ReferenceSequenceMask

All Known Implementing Classes:
  `IntervalListReferenceSequenceMask, WholeGenomeReferenceSequenceMask`

public interface ReferenceSequenceMask
Interface for specifying loci of interest for genotype calling and other operations. It is a requirement that the sequences be probed in ascending order.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`get(int sequenceIndex, int position)`
It is required that sequenceIndex is >= any previous sequenceIndex passed to this class.
`int`
`getMaxPosition()`
`int`
`getMaxSequenceIndex()`
`int`
`nextPosition(int sequenceIndex, int position)`
It is required that sequenceIndex is >= any previous sequenceIndex passed to this class.

## Method Details

### get

boolean get(int sequenceIndex, int position)
It is required that sequenceIndex is >= any previous sequenceIndex passed to this class.

Returns:
  true if the mask is set for the given sequence and position

### nextPosition

int nextPosition(int sequenceIndex, int position)
It is required that sequenceIndex is >= any previous sequenceIndex passed to this class.

Returns:
  the next pos on the given sequence >= position that is set, or -1 if there are no more set positions

### getMaxSequenceIndex

int getMaxSequenceIndex()

Returns:
  Largest sequence index for which there are set bits.

### getMaxPosition

int getMaxPosition()

Returns:
  the largest position on the last sequence index